Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043528
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2020-03-20 08:472020-03-27 08:22
ReporterAugustoMauchView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in VersionRR20Q2
StatusclosedFix in branchFixed in SCM revision84b1c391f63e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression levelProduction - Confirmed Stable
Regression date2019-07-11
Regression introduced in releaseRR19Q4
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/commit/065095a08093b2356c74302d1bd7adf9ac065d7a [^]
Triggers an Emergency PackNo
Summary

0043528: + and - keys increase/decrease quantity twice if loyalty programs module is installed

DescriptionThe loyalty programs modules defines a new keyboard in the addpoints-keyboard.js file. That keyboard is capturing the +/- key events and increasing the quantity of a product in a ticket. As a result this event is handled twice, and the quantity is updated twice.
Steps To ReproduceReproducible in live builds:

- Go to [1], and in the vallblanca client open the Touchpoint Type window
- Open VBS POS Terminal Type, check the Use External Input flag to enable updating the product quantities using the +/- keys
- Log out and go to the frontend [2].
- Add a product to the ticket
- Press the + sign on your keyboard, check that the quantity went from 1 to 3

[1] https://livebuilds.openbravo.com/retail_modules_pgsql_pi/ [^]
[2] https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=VBS-1 [^]
TagsNo tags attached.
Attached Filesdiff file icon 43528_betterApproach.diff [^] (658 bytes) 2020-03-26 13:28 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0118739)
hgbot (developer)
2020-03-20 18:03

Repository: erp/pmods/org.openbravo.retail.loyalty.programs
Changeset: 84b1c391f63e1f3ebe5a3d8d6315717d1e945902
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Fri Mar 20 14:02:39 2020 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.loyalty.programs/rev/84b1c391f63e1f3ebe5a3d8d6315717d1e945902 [^]

Fixes BUG-43528: + and - keys increase/decrease qty twice if loyalty programs

The loyalty programs modules defines a new keyboard in the addpoints-keyboard.js file.
That keyboard is capturing the +/- key events and increasing the quantity of a product in a ticket.
As a result this event is handled twice, and the quantity is updated twice.

To fix it, the globalKeypressHandler handle is redefined in the keyboard of the OBRLP.UI.AddPoints.Keyboard
to don't do nothing if the key pressed is + or -.

---
M web/org.openbravo.retail.loyalty.programs/js/component/addpoints-keyboard.js
---
(0118836)
jorge-garcia (developer)
2020-03-26 13:27

The solution is working but as the addpoints keyboard is on a popup, it will ignore every globalkeypresshandler once the popup is open.

To avoid possible future problem, it is better to ignore every globalkeypresshandler in this keyboard instead of only "+" and "-" commands.

A patch is attached in this issue with the proposed solution.
(0118846)
hgbot (developer)
2020-03-26 15:10

Repository: erp/pmods/org.openbravo.retail.loyalty.programs
Changeset: 13a4e5a64d8b44bce346af6141d8f5d572e60f34
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Thu Mar 26 10:11:45 2020 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.loyalty.programs/rev/13a4e5a64d8b44bce346af6141d8f5d572e60f34 [^]

Related to BUG-43528: Ignore every globalkeypresshandler instead of only "+","-"

To avoid possible future problem, it is better to ignore every globalkeypresshandler
in this keyboard instead of only "+" and "-" commands.

---
M web/org.openbravo.retail.loyalty.programs/js/component/addpoints-keyboard.js
---
(0118854)
jorge-garcia (developer)
2020-03-27 08:22

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2020-03-20 08:47 AugustoMauch New Issue
2020-03-20 08:47 AugustoMauch Assigned To => Retail
2020-03-20 08:47 AugustoMauch Regression level => Production - Confirmed Stable
2020-03-20 08:47 AugustoMauch Regression date => 2019-07-11
2020-03-20 08:47 AugustoMauch Regression introduced in release => RR19Q3
2020-03-20 08:47 AugustoMauch Triggers an Emergency Pack => No
2020-03-20 08:51 marvintm Category Loyalty Programs for Web POS => Web POS
2020-03-20 08:51 marvintm Severity minor => major
2020-03-20 08:55 AugustoMauch Regression introduced by commit => https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/commit/065095a08093b2356c74302d1bd7adf9ac065d7a [^]
2020-03-20 08:58 AugustoMauch Regression introduced in release RR19Q3 => RR19Q4
2020-03-20 12:03 markmm82 Assigned To Retail => markmm82
2020-03-20 12:10 markmm82 Status new => scheduled
2020-03-20 18:03 hgbot Checkin
2020-03-20 18:03 hgbot Note Added: 0118739
2020-03-20 18:03 hgbot Status scheduled => resolved
2020-03-20 18:03 hgbot Resolution open => fixed
2020-03-20 18:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.loyalty.programs/rev/84b1c391f63e1f3ebe5a3d8d6315717d1e945902 [^]
2020-03-26 12:10 jorge-garcia Review Assigned To => jorge-garcia
2020-03-26 13:27 jorge-garcia Note Added: 0118836
2020-03-26 13:27 jorge-garcia Status resolved => new
2020-03-26 13:27 jorge-garcia Resolution fixed => open
2020-03-26 13:28 jorge-garcia File Added: 43528_betterApproach.diff
2020-03-26 15:10 hgbot Checkin
2020-03-26 15:10 hgbot Note Added: 0118846
2020-03-26 15:20 markmm82 Status new => scheduled
2020-03-26 16:02 markmm82 Status scheduled => resolved
2020-03-26 16:02 markmm82 Resolution open => fixed
2020-03-27 08:22 jorge-garcia Note Added: 0118854
2020-03-27 08:22 jorge-garcia Status resolved => closed
2020-03-27 08:22 jorge-garcia Fixed in Version => RR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker